type: google.api.Service
config_version: 3
name: sqladmin.googleapis.com
title: Cloud SQL Admin API

apis:
- name: google.cloud.sql.v1beta4.SqlBackupRunsService
- name: google.cloud.sql.v1beta4.SqlDatabasesService
- name: google.cloud.sql.v1beta4.SqlFlagsService
- name: google.cloud.sql.v1beta4.SqlInstancesService
- name: google.cloud.sql.v1beta4.SqlOperationsService
- name: google.cloud.sql.v1beta4.SqlSslCertsService
- name: google.cloud.sql.v1beta4.SqlTiersService
- name: google.cloud.sql.v1beta4.SqlUsersService

documentation:
  summary: API for Cloud SQL database instance management

backend:
  rules:
  - selector: 'google.cloud.sql.v1beta4.SqlBackupRunsService.*'
    deadline: 30.0
  - selector: 'google.cloud.sql.v1beta4.SqlDatabasesService.*'
    deadline: 240.0
  - selector: google.cloud.sql.v1beta4.SqlFlagsService.List
    deadline: 30.0
  - selector: 'google.cloud.sql.v1beta4.SqlInstancesService.*'
    deadline: 30.0
  - selector: google.cloud.sql.v1beta4.SqlInstancesService.Clone
    deadline: 240.0
  - selector: google.cloud.sql.v1beta4.SqlInstancesService.VerifyExternalSyncSettings
    deadline: 240.0
  - selector: google.cloud.sql.v1beta4.SqlOperationsService.Get
    deadline: 30.0
  - selector: google.cloud.sql.v1beta4.SqlOperationsService.List
    deadline: 30.0
  - selector: 'google.cloud.sql.v1beta4.SqlSslCertsService.*'
    deadline: 30.0
  - selector: google.cloud.sql.v1beta4.SqlTiersService.List
    deadline: 30.0
  - selector: 'google.cloud.sql.v1beta4.SqlUsersService.*'
    deadline: 240.0

authentication:
  rules:
  - selector: 'google.cloud.sql.v1beta4.SqlBackupRunsService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/sqlservice.admin
  - selector: 'google.cloud.sql.v1beta4.SqlDatabasesService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/sqlservice.admin
  - selector: google.cloud.sql.v1beta4.SqlFlagsService.List
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/sqlservice.admin
  - selector: 'google.cloud.sql.v1beta4.SqlInstancesService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/sqlservice.admin
  - selector: google.cloud.sql.v1beta4.SqlInstancesService.Export
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.cloud.sql.v1beta4.SqlInstancesService.Import
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.cloud.sql.v1beta4.SqlOperationsService.Get
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/sqlservice.admin
  - selector: google.cloud.sql.v1beta4.SqlOperationsService.List
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/sqlservice.admin
  - selector: 'google.cloud.sql.v1beta4.SqlSslCertsService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/sqlservice.admin
  - selector: google.cloud.sql.v1beta4.SqlTiersService.List
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/sqlservice.admin
  - selector: 'google.cloud.sql.v1beta4.SqlUsersService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/sqlservice.admin
